Package org.eclipse.cdt.core.parser

# Interface ITokenDuple

@Deprecated public interface ITokenDuple
Deprecated.
Do not use.

Restriction:
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`char[]`
`extractNameFromTemplateId()`
Deprecated.
`int`
`getEndOffset()`
Deprecated.
`IToken`
`getFirstToken()`
Deprecated.
`ITokenDuple`
`getLastSegment()`
Deprecated.
`IToken`
`getLastToken()`
Deprecated.
`ITokenDuple`
`getLeadingSegments()`
Deprecated.
`int`
`getSegmentCount()`
Deprecated.
`ITokenDuple[]`
`getSegments()`
Deprecated.
`int`
`getStartOffset()`
Deprecated.
`List<IASTNode>[]`
`getTemplateIdArgLists()`
Deprecated.
`IToken`
`getToken(int index)`
Deprecated.
`Iterator<IToken>`
`iterator()`
Deprecated.
`int`
`length()`
Deprecated.
`char[]`
`toCharArray()`
Deprecated.
`String`
`toString()`
Deprecated.

## Method Details

### getFirstToken

IToken getFirstToken()
Deprecated.

### getLastToken

IToken getLastToken()
Deprecated.

### getTemplateIdArgLists

List<IASTNode>[] getTemplateIdArgLists()
Deprecated.

### getLastSegment

ITokenDuple getLastSegment()
Deprecated.

### getLeadingSegments

ITokenDuple getLeadingSegments()
Deprecated.

### getSegmentCount

int getSegmentCount()
Deprecated.

### iterator

Iterator<IToken> iterator()
Deprecated.

### toString

String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### toCharArray

char[] toCharArray()
Deprecated.

### length

int length()
Deprecated.

### getToken

IToken getToken(int index)
Deprecated.

### getSegments

ITokenDuple[] getSegments()
Deprecated.

### getStartOffset

int getStartOffset()
Deprecated.

### getEndOffset

int getEndOffset()
Deprecated.

### extractNameFromTemplateId

char[] extractNameFromTemplateId()
Deprecated.